from abc import ABC, abstractmethod

class Monochromator:
    @abstractmethod
    def reset(self):
        pass
    @abstractmethod
    def set_wavelength_nm(self, wavelength_nm):
        pass
    @abstractmethod
    def get_wavelength_nm(self):
        pass

    @abstractmethod
    def __repr__(self):
        pass
