import logging
log = logging.getLogger(__name__)

from ..base import Shutter

class DummyShutter(Shutter):
    def __init__(self):
        super().__init__()
    def open(self):
        log.info("Dummy-Shutter open")
    def close(self):
        log.info("Dummy-Shutter close")
    def __repr__(self):
        return "Dummy-Shutter"
